{
  "type": "minecraft:crafting_shaped",
  "category": "building",
  "pattern": [
    "AAA",
    "ABA",
    "AAA"
  ],
  "key": {
    "A": "#planks",
    "B": "#overly_realistic:stripped_logs"
  },
  "result": {
    "components": {
      "minecraft:item_name": {
        "translate": "block.overlyrealistic.ship_section_unfinished",
        "color": "white",
        "with": [
          {
            "translate": "block.overlyrealistic.ship_section",
            "color": "white"
          },
          {
            "translate": "ship_section_suffix.overlyrealistic.unfinished",
            "color": "gray"
          }
        ]
      },
      "minecraft:entity_data": {
        "id": "minecraft:marker",
        "Tags": [
            "OverlyRealistic.Block.IsCustomBlockMarker"
        ],
        "data": {
          "IsCustomBlock": "ship_section_unfinished"
        }
      },
      "minecraft:custom_data": {
        "placement_function": "overly_realistic:general/custom_blocks/ship_section/ship_section_placed",
        "IsCustomBlock": "ship_section_unfinished",
        "or_edited_item": true,
        "or_is_custom_block": true
      },
      "max_stack_size": 1,
      "item_model": "overlyrealistic:blocks/ship_section/ship_section_in_hand_unfinished"
    },
    "count": 1,
    "id": "minecraft:allay_spawn_egg"
  },
  "show_notification": true
}